<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ProductDetail extends Model
{
    public $timestamps = false;

    protected $fillable = [
        'product_feature_id',
    ];


    public function descriptions($language_id= null)
    {

        if ($language_id) {
            $data = $this->hasMany(ProductDetailDescription::class)->where('language_id', $language_id)->first();
            if(!$data){
                $data = $this->hasMany(ProductDetailDescription::class)->first();
            }

            return $data;
        }
        $data = $this->hasMany(ProductDetailDescription::class)->where('language_id', currentLanguage()['id'])->first();
        return $data;
    }
}
